Upload Extensions - Changelog
=============================
This file contains the list of changes between different versions of Upload Extensions.

# Version 3.2.0
## Changes since 3.1.2
### Bug fixes
* Add support for phpBB 3.2.
* Fix update tooltip for mobile devices.
* Fix updating extensions with removed `ext.php`.
* Fix code selection functionality in file trees.
* Fix version check functionality.

# Version 3.1.2
## Changes since 3.1.2-RC2
### Bug fixes
* Add support for the new types of download links from the CDB on phpbb.com.
* JavaScript fixes and improvements.

## Changes since 3.1.2-RC1
### Bug fixes
* JavaScript fixes and improvements.

## Changes since 3.1.2-beta2
### New features
* [FEATURE] Extension's description and requirements can be shown for suggested extensions.
* [FEATURE] Full downloadable list of uploaded extensions.
* [FEATURE] Integration with browser's history.

### Improvements
* [LIST] List of suggested extensions is now taken directly from phpbb.com.
* [CODE] Errors are now shown in the special modal box.
* [DESIGN] Small design improvements: status icons and current file in file tree.

### Bug fixes
* JavaScript fixes and improvements.

## Changes since 3.1.2-beta
### New features
* [FEATURE] Language packages management page for each extension.
* [FEATURE] Uploads of language packages for extensions.
* [FEATURE] Integration with Upload Extensions Updater.

### Improvements
* [SECURITY] Checksums are now checked for uploaded zip packages.
* [ZIP] File dates and file sizes are now displayed on ZIP files management page.
* [INTERFACE] A link to reload pages by JavaScript.

### Bug fixes
* The received data for valid extensions is now sanitized.
* The list of suggested extensions from phpbb.com is now obtained from extension's repository.
* JavaScript fixes and improvements.

## Changes since 3.1.1
### New features
* [FEATURE] Full Ajax support.
* [FEATURE] Full noscript support.
* [FEATURE] Built-in Extensions Manager.
* [FEATURE] Loading status in JavaScript.
* [FEATURE] Navigation and menu bars.
* [FEATURE] Downloads of properly packaged extensions.
* [FEATURE] Built-in FAQ for Upload Extensions.
* [FEATURE] User-friendly status messages.

### Improvements
* [DETAILS] Now details page is a **separate section** that is not displayed in a small popup window.
* [DETAILS] Now **file tree** is showed on the details page and can be used even when JavaScript is disabled.
* [DETAILS] Now `Changelog.md` and `Readme.md` files can be viewed on details page.
* [ZIP] Now it is possible to delete **2 or more** zip packages at once.
* [CLEANER] Now it is possible to delete **2 or more** extensions at once.
* [CODE] The extension's code was restructured.
* [CODE] Proper error handling.

### Bug fixes
Already included in 3.1.1.

# Version 3.1.1

Initial stable release (changes can be found in the commits of our [repository on GitHub](https://github.com/BoardTools/upload)).

© 2014 - 2019 Igor Lavrov (https://github.com/LavIgor) and John Peskens (http://ForumHulp.com)